petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCreateColoring

Gets coloring for a DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMCreateColoring(DM dm,ISColoringType ctype,ISColoring *coloring)

Collective on DM Many br

### Input Parameter

| dm | - the DM object Many br
| ctype | - IS_COLORING_GHOSTED or IS_COLORING_GLOBAL Many br

### Output Parameter

coloring -the coloring Many br

Many br

### See Also

DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateMatrix(), DMSetMatType()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex14.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html